%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupalbase           %{_datadir}/%{drupal}
%global drupal_sites_all    %{drupalbase}/sites/all        
%global drupal_modules      %{drupal_sites_all}/modules
# Use upstream name as expressed in URL and tarball
%global modname             og

Name:    drupal%{drupalver}-%{modname}
Version: 2.2
Release: 4%{?dist}
Summary: Organic Group Module for Drupal6 
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6

%description
Enable users to create and manage their own 'groups'.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .


%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupal_modules}/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupal_modules}/%{modname}/'{}' \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc  %{name}-fedora-README.txt
%exclude %{drupal_modules}/%{modname}/%{name}-fedora-README.txt
%{drupal_modules}/%{modname}

%changelog
* Wed Apr 11 2012 Anderson Silva <ansilva@redhat.com> - 2.2-4
- Fix changelog

* Tue Mar 27 2012 Anderson Silva <ansilva@redhat.com> - 2.2-3
- Update description 

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 2.2-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 2.2-1
- Initial rpm package
